Name:           gsynaptics
Version:        0.9.16
Release:        3%{?dist}
Summary:        Settings tool for Synaptics touchpad driver

Group:          Applications/System
License:        GPLv2+
URL:            http://gsynaptics.sourceforge.jp/
Source0:        http://downloads.sourceforge.jp/gsynaptics/28322/gsynaptics-%{version}.tar.gz
# Source1 taken from http://downloads.sourceforge.jp/gsynaptics/15189/gsynaptics-0.9.0.tar.gz
# until http://sourceforge.jp/tracker/index.php?func=detail&aid=11265&group_id=1720&atid=6433 gets fixed
Patch0:         gsynaptics-0.9.14-dot-fixes.patch
Patch1:         gsynaptics-0.9.14-do-not-set-zero.patch
Patch6:         gsynaptics-0.9.14-scrolling-checkboxes.patch
Patch7:         gsynaptics-0.9.14-driver-header.patch
Patch8:         gsynaptics-0.9.14-fix-scrolling-checkboxes.patch
Patch9:         gsynaptics-0.9.14-scrollmethods.patch
Patch10:        gsynaptics-0.9.14-tapping-gconf.patch
Patch11:        gsynaptics-0.9.16-purge-shm.patch

Source1:        %{name}-touchpad.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  perl(XML::Parser)
BuildRequires:  libgnomeui-devel
BuildRequires:  libglade2-devel
BuildRequires:  desktop-file-utils gettext
BuildRequires:  gnome-doc-utils
BuildRequires:  xorg-x11-drv-synaptics-devel
BuildRequires:  libtool pkgconfig intltool

Requires:       xorg-x11-drv-synaptics

# Use ExclusiveArch just as synaptics does; see
# http://cvs.fedora.redhat.com/viewcvs/rpms/synaptics/devel/synaptics.spec?root=extras&view=markup
# This is what it should be, but the buildsystem is a disaster
# ExcludeArch:	s390 s390x
ExclusiveArch: %{ix86} x86_64 ppc ppc64


%description
A GTK+ tool to set scroll and tap preferences for the Synaptics touchpad
driver.

%prep
%setup -q
cp data/gsynaptics-init.desktop.in.in data/gsynaptics-init.desktop.in.in.org
grep -v -e "^Categories=$" data/gsynaptics-init.desktop.in.in.org > data/gsynaptics-init.desktop.in.in
install -p %{SOURCE1} data/touchpad.png
%patch0 -p1 -b .dot-fixes
%patch1 -p1 -b .zero
%patch6 -p1 -b .scrl-chkbx
%patch7 -p1 -b .header
%patch8 -p1 -b .scrl-chkbx-fix
%patch9 -p1 -b .scrollmethods
%patch10 -p1 -b .tapping-gconf
%patch11 -p1 -b .purge-shm

%build
autoreconf -v --install --force || exit 1
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install --vendor fedora                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        --add-category X-Fedora                                 \
        --add-category HardwareSettings                         \
        --delete-original                                       \
        $RPM_BUILD_ROOT%{_datadir}/applications/gsynaptics.desktop

desktop-file-install --vendor fedora                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/gnome/autostart/    \
        --add-category X-Fedora                                 \
        --delete-original                                       \
        $RPM_BUILD_ROOT%{_datadir}/gnome/autostart/gsynaptics-init.desktop

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/pixmaps/touchpad.png
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/gnome/autostart/*%{name}*.desktop
%{_datadir}/gnome/help/%{name}
%{_mandir}/man1/gsynaptics*


%changelog
* Mon Aug 03 2009 Peter Hutterer <peter.hutterer@redhat.com> 0.9.16-3
- gsynaptics-0.9.16-purge-shm.patch: purge SHM, the driver doesn't provide
  it anymore.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Apr 02 2009 Peter Hutterer <peter.hutterer@redhat.com> - 0.9.16-1
- rebase to 0.9.16

* Thu Apr 02 2009 Peter Hutterer <peter.hutterer@redhat.com> - 0.9.14-6
- gsynaptics-0.9.14-tapping-gconf.patch: set a gconf key when tapping is
  enabled or disabled.

* Mon Apr 2 2009 Peter Hutterer <peter.hutterer@redhat.com> - 0.9.14-5
- gsynaptics-0.9.14-scrolling-checkboxes.patch: set checkboxes based on the
  scrolling enabled/disabled property, not on the delta.
- gsynaptics-0.9.14-driver-header.patch: use the driver's header file instead
  of a custom synshm.h.
- Require xorg-x11-drv-synaptics now that we use the driver header, and force
  an autoreconf to include it properly.
- gsynaptics-0.9.14-fix-scrolling-checkboxes.patch: fix scrolling
  enabled/disabled checkboxes
- gsynaptics-0.9.14-scrollmethod.patch: provide radiobuttons instead
  of a checkbox for scrolling methods.

* Sun Mar 01 2009 Peter Hutterer <peter.hutterer@redhat.com> - 0.9.14-4
- gsynaptics-0.9.14-fix-tap-statecheck.patch: fix check for tapping enabled or
  disabled, should take TapButton1 into account.
- gsynaptics-0.9.14-enable-tapping.patch: set default 1-3-2 button mapping
  when tapping is enabled.
- gsynaptics-0.9.14-dont-reset-taptime.patch: don't reset tap time when
  disabling tapping.

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Aug 12 2008 Christoph Wickert <fedora christoph-wickert de> - 0.9.14-2
- Fix crash on startup, thanks to Sertaç Ö. Yıldız for the pointer (#457540)
- Add patch to not set undefined keys to 0 by Michal Čihař (Debian #480744)
- Fix for locales not using "." as decimal seperator (upstream #12498)

* Sun Jul 27 2008 Christoph Wickert <fedora christoph-wickert de> - 0.9.14-1
- Use dist tag

* Sun Jul 27 2008 Christoph Wickert <fedora christoph-wickert de> - 0.9.14-1
- Update 0.9.14

* Sat Feb 09 2008 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0.9.13-3
- rebuilt

* Sat Dec 01 2007 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 0.9.13-2
- BR gnome-doc-utils

* Sat Dec 01 2007 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 0.9.13-1
- Update to 0.9.13
- ship touchpad.png, fixes #401891

* Fri Aug 03 2007 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info>
- Update License field due to the "Licensing guidelines changes"

* Sun Jun 03 2007 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.9.12-2
- Use ExclusiveArch just as synaptics does

* Sun Jun 03 2007 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.9.12-1
- Update to 0.9.12
- Add category HardwareSettings to desktop file (#242345)

* Sat Feb 24 2007 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.9.11-1
- Update to 0.9.11

* Mon Aug 28 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.9.8-2
- Rebuild

* Sat Jul 08 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.9.8-1
- Add BuildRequires: perl-XML-Parser (fixes #197955)
- update to 0.9.8

* Mon Feb 13 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.9.5-2
- Rebuild for Fedora Extras 5

* Sun Nov 13 2005 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.9.5-1
- Update to 0.9.5

* Sat Oct 22 2005 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.9.4-3
- Use dist

* Tue Oct 04 2005 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.9.4-2
- Improved Summary and description as suggested by ignacio

* Mon Oct 03 2005 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.9.4-1
- Initial package.
